import typescript from "rollup-plugin-typescript2";
import resolve from "rollup-plugin-node-resolve";
import commonjs from "rollup-plugin-commonjs";
import packagejson from "./package.json";

export default {
  input: "./src/cli.ts",
  plugins: [
    resolve({ preferBuiltins: true }),
    commonjs(),
    typescript(/*{ plugin options }*/)
  ],
  external: ["path", "chalk"],
  output: {
    intro: `
/*
    Finicky Command-Line Interface ${packagejson.version}
    This file is automatically generated. Please refer to the \`config-api\` folder to build a new one.
*/`,
    file: "dist/cli.js",
    format: "cjs",
    name: "finickyConfigCli",
    noInterop: true
  }
};
